%global modname dogpile.cache
%global sum A caching front-end based on the Dogpile lock
%global desc Dogpile consists of two subsystems, one building on top of the other.\
\
dogpile provides the concept of a "dogpile lock", a control structure\
which allows a single thread of execution to be selected as the\
"creator" of some resource, while allowing other threads of execution to\
refer to the previous version of this resource as the creation proceeds;\
if there is no previous version, then those threads block until the\
object is available.\
\
dogpile.cache is a caching API which provides a generic interface to\
caching backends of any variety, and additionally provides API hooks\
which integrate these cache backends with the locking mechanism of\
dogpile.\
\
Overall, dogpile.cache is intended as a replacement to the Beaker\
caching system, the internals of which are written by the same author.\
All the ideas of Beaker which "work" are re- implemented in\
dogpile.cache in a more efficient and succinct manner, and all the cruft\
(Beaker\'s internals were first written in 2005) relegated to the trash\
heap.

Name:               python-dogpile-cache
Version:            1.0.2
Release:            %mkrel 1
Summary:            %{sum}
Group:              Development/Python
License:            BSD
URL:                https://pypi.io/project/dogpile.cache
Source0:            https://pypi.io/packages/source/d/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python3-devel
BuildRequires:      python3-decorator
BuildRequires:      python3-mako
BuildRequires:      python3-mock
BuildRequires:      python3-pytest-cov
BuildRequires:      python3-setuptools


%description
%{desc}


%package -n python3-dogpile-cache
Summary:  %{sum}
Group:              Development/Python
Requires:           python3-mako

%{?python_provide:%python_provide python3-dogpile-cache}

Provides: python3-dogpile-core = %{version}-%{release}
Obsoletes: python3-dogpile-core < 0.4.1-10


%description -n python3-dogpile-cache
%{desc}

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%py3_build

%install
%py3_install


%check
#{__python3} -m pytest


%files -n python3-dogpile-cache
%license LICENSE
%doc README.rst
%{python3_sitelib}/dogpile
%{python3_sitelib}/%{modname}-%{version}-*



%changelog
* Fri Oct 30 2020 joequant <joequant> 1.0.2-1.mga8
+ Revision: 1640627
- update to 1.0.2

* Sun Feb 16 2020 umeabot <umeabot> 0.8.0-2.mga8
+ Revision: 1535053
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 0.8.0-1.mga8
+ Revision: 1450716
- new version: 0.8.0

* Mon Oct 07 2019 daviddavid <daviddavid> 0.6.8-2.mga8
+ Revision: 1450366
- rebuild for python3.8
- drop python2 support

* Fri Mar 15 2019 pterjan <pterjan> 0.6.8-1.mga7
+ Revision: 1377459
- Update to 0.6.8

* Fri Jan 11 2019 ngompa <ngompa> 0.6.7-1.mga7
+ Revision: 1354956
- Sync spec from Fedora to rebase to 0.6.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.7-3.mga7
+ Revision: 1288785
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.5.7-2.mga7
+ Revision: 1135400
- Rebuild for python 3.6

* Mon Feb 15 2016 daviddavid <daviddavid> 0.5.7-1.mga6
+ Revision: 961223
- new version: 0.5.7
- use new python macros

* Sun Oct 11 2015 pterjan <pterjan> 0.5.5-1.mga6
+ Revision: 889620
- Update to 0.5.5

* Sat Oct 10 2015 tv <tv> 0.5.4-5.mga6
+ Revision: 888888
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.4-4.mga5
+ Revision: 743048
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.4-3.mga5
+ Revision: 728373
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.4-2.mga5
+ Revision: 688005
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 pterjan <pterjan> 0.5.4-1.mga5
+ Revision: 668494
- 0.5.4

* Fri Jun 27 2014 pterjan <pterjan> 0.5.3-1.mga5
+ Revision: 640190
- 0.5.3

* Sat May 31 2014 pterjan <pterjan> 0.5.0-2.mga5
+ Revision: 628616
- Rebuild for new Python

* Tue Dec 03 2013 pterjan <pterjan> 0.5.0-1.mga4
+ Revision: 554821
- imported package python-dogpile-cache

